{
  "custom": {},
  "params": {
    "row": "value",
    "rowIndex": "value",
    "value": {
      "Msg": "Mesg PlaceHolder",
      "Timestamp": "TimeStamp Place holder"
    }
  },
  "propConfig": {
    "params.row": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.rowIndex": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.value": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 59,
      "width": 891
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "Label_1"
        },
        "position": {
          "basis": "147px",
          "shrink": 0
        },
        "propConfig": {
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.value"
              },
              "transforms": [
                {
                  "code": "\treturn value[\"Timestamp\"]",
                  "type": "script"
                }
              ],
              "type": "property"
            }
          }
        },
        "type": "ia.display.label"
      },
      {
        "meta": {
          "name": "Label_2"
        },
        "position": {
          "grow": 1
        },
        "propConfig": {
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.value"
              },
              "transforms": [
                {
                  "code": "\treturn value[\"Msg\"]",
                  "type": "script"
                }
              ],
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "margin": "5px",
            "padding": "5px"
          },
          "textStyle": {
            "fontSize": 14,
            "fontWeight": "100",
            "overflow": "visible",
            "overflowWrap": "break-word",
            "wordWrap": "break-word"
          }
        },
        "type": "ia.display.label"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "style": {
        "backgroundColor": "#AAAAAA",
        "borderBottomLeftRadius": "5px",
        "borderBottomRightRadius": "5px",
        "borderTopLeftRadius": "5px",
        "borderTopRightRadius": "5px",
        "color": "#000000",
        "margin": "10px",
        "padding": "5px"
      }
    },
    "type": "ia.container.flex"
  }
}